## net.i2p.sam.client
Class SAMStreamSend

    java.lang.Object
      net.i2p.sam.client.SAMStreamSend

    public class SAMStreamSend

extends Object

Send a file to a peer Usage: SAMStreamSend samHost samPort peerDestFile dataFile

Constructor Summary
`SAMStreamSend(I2PAppContext ctx, String samHost, String samPort, String destFile, String dataFile)`

Method Summary
`static void` `main(String[] args)`
`void` `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMStreamSend

    public SAMStreamSend(I2PAppContext ctx,
                         String samHost,
                         String samPort,
                         String destFile,
                         String dataFile)

Method Detail

### main

    public static void main(String[] args)

### startup

    public void startup()